/*
  -------------------- file tuputil.h
  Created 19 Nov 93 by Andrew Shapira, Rensselaer Polytechnic Institute.

	Copyright (C) 1993 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _191193_114104
#define _191193_114104

#include "libinclude/ntup.h"


void tuple_alloc_fields P(( struct tuple_struct *, const int,
  void *(*) P((const int)) ));
void tuple_dealloc_fields P(( struct tuple_struct *, void (*) P((void *)) ));
void pix_copy P(( struct pix_struct *, const struct pix_struct * ));
void tuple_copy P(( struct tuple_struct *, const struct tuple_struct * ));
struct tuple_struct * tuplelist_make P((
  const int , const int , void *(*) P((const int)) ));
void tuplelist_free P(( struct tuple_struct *, const int,
  void (*) P((void *)) ));

#endif /* _191193_114104 */
