/*
  -------------------- file generate.h
  Created 18 Jun 94 by Andrew Shapira, Rensselaer Polytechnic Institute.

	Copyright (C) 1994 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _180694_184003
#define _180694_184003

#include "../general/coord.h"
#include "region.h"

void back2_gen_initial_regions P(( const struct coord_struct *, const int,
  const int, struct region_struct **, int *, void *(*) P((const int)) ));
void back2_gen_region_piidc_list
  P(( const int, const struct coord_struct * const, const int * const,
      int * const, int * const ));
void back2_region_sort P(( struct region_struct * const, int * const ));

#endif /* _180694_184003 */
