/*
  -------------------- file coord.h
  Created 17 May 94 by Andrew Shapira, Rensselaer Polytechnic Institute.

	Copyright (C) 1994 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _170594_220703
#define _170594_220703

struct coord_struct {
  int row_neg, row_pos; /* extreme values of row */
  int col_neg, col_pos; /* extreme values of col */
  int nids;             /* number of ids that are present */
  /* rowcol_to_id[r-row_neg][c-col_neg] finds id associated with r,c */
  int **rowcol_to_id;   /* -1 indicates not present */
  int *id_to_row;
  int *id_to_col;
};

#endif /* _170594_220703 */
